# Class FileUploadContentTypeException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
org.apache.commons.fileupload2.core.FileUploadException
org.apache.commons.fileupload2.core.FileUploadContentTypeException

All Implemented Interfaces:
  `Serializable`

public class FileUploadContentTypeException extends FileUploadException
Signals that a request is not a multipart request.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`FileUploadContentTypeException(String message, String contentType)`
Constructs an instance with the specified detail message.
`FileUploadContentTypeException(String message, Throwable cause)`
Constructs an instance with the specified detail message and cause.

## Method Summary

Modifier and Type
Method
Description
`String`
`getContentType()`
Gets the content type.

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FileUploadContentTypeException

public FileUploadContentTypeException(String message, String contentType)
Constructs an instance with the specified detail message.

Parameters:
  `message` - The detail message (which is saved for later retrieval by the `Throwable.getMessage()` method)
  `contentType` - The guilty content type.

### FileUploadContentTypeException

public FileUploadContentTypeException(String message, Throwable cause)
Constructs an instance with the specified detail message and cause.

Parameters:
  `message` - The detail message (which is saved for later retrieval by the `Throwable.getMessage()` method)
  `cause` - the original cause

## Method Details

### getContentType

public String getContentType()
Gets the content type.

Returns:
  the content type.